Retrieve an address
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/addresses/{address_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"status": "active",
"name": "Solana Custodial Wallet",
"address": "73uyt9HkEqx9bThYXWaUBP67sWsiJEsyJ5rSCieDx5me",
"transfer_types": [
"solana",
"base",
"wire"
]
}Addresses
Retrieve an address
Retrieves a single internal or external Address by address_id.
GET
/
accounts
/
{account_id}
/
addresses
/
{address_id}
Retrieve an address
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/addresses/{address_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brale.xyz/accounts/{account_id}/addresses/{address_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"status": "active",
"name": "Solana Custodial Wallet",
"address": "73uyt9HkEqx9bThYXWaUBP67sWsiJEsyJ5rSCieDx5me",
"transfer_types": [
"solana",
"base",
"wire"
]
}Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.
This endpoint returns a single internal (custodial) or external Address by its
address_id. Use it to fetch the latest status, address value, and enabled transfer_types.
Example request
curl --request GET \
--url "https://api.brale.xyz/accounts/${ACCOUNT_ID}/addresses/${ADDRESS_ID}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}"
Example response
{
"id": "2MhCCIHulVdXrHiEuQDJvnKbSkl",
"type": "external",
"name": "Example Bank",
"status": "active",
"address": null,
"transfer_types": ["ach_credit", "same_day_ach_credit", "rtp_credit"]
}
This endpoint is useful after creating an address whose capabilities may update asynchronously โ for example, checking whether
rtp_credit has been added to an external bank address after RTP eligibility is confirmed. See Create external address for RTP.Before a FedNow payout, confirm that status is active and transfer_types includes fednow_credit. See Send FedNow payouts.Authorizations
Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.
Path Parameters
The ID of the account
Pattern:
^[a-zA-Z0-9]{27}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
The ID of the address
Pattern:
^[a-zA-Z0-9]{27}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
Response
200 - */*
A single address
Pattern:
^[a-zA-Z0-9]{27}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
Available options:
pending, active, archived Example:
"active"
Example:
"Solana Custodial Wallet"
The on-chain wallet address
Example:
"73uyt9HkEqx9bThYXWaUBP67sWsiJEsyJ5rSCieDx5me"
Example:
["solana", "base", "wire"]
Was this page helpful?